local t = Def.ActorFrame{
	LoadActor("toasty.png")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+128;y,SCREEN_CENTER_Y);
		GainFocusCommand=cmd(linear,0.1;diffusealpha,1;glowshift;effectcolor2,1,1,1,0.5);
		LoseFocusCommand=cmd(linear,0.1;diffusealpha,0.45;stopeffect);
		OffFocusedCommand=function(self)
			SetToastyCharacter("danforden");
			SCREENMAN:SystemMessage("Toasty changed.\nPlease hold F3, hit F6, then press 7 to update.");
		end;
	};
	LoadActor("toasty.ogg")..{
		GainFocusCommand=cmd(play);
		LoseFocusCommand=cmd(pause);
	};
};

return t;